#include <stdio.h>
#include <stdlib.h>

short provera(short n, long l)
{
    long h;
    for(short i=0;i<n;i++){
        scanf("%ld",&h);
        if(l>=h)
            return i+1;
    }
    return -1;
}

int main()
{
    short n;
    long l;
    scanf("%hd",&n);
    scanf("%ld",&l);
    printf("%hd",provera(n,l));
    return 0;
}